#include "Hub.h"

// Singleton implimentation
Hub* Hub::sInstance = 0;
Hub& Hub::I()
{
	if (sInstance == 0)
		sInstance = new Hub();

	return *sInstance;
}

void Hub::UpdateCamMatrices(Geo::Data::MatSpaces& aSpaces)
{
	mCamera->GenMV(aSpaces.mModel, aSpaces.mMV);
	mCamera->GenMVP(aSpaces.mModel, aSpaces.mMVP);
}